#pragma once
#include <vector>

#include <glm/gtc/matrix_transform.hpp>
#include "glad/glad.h"
#include "GLFW/glfw3.h"

#include "../PerfCounter.h"

#include "Primitives/Camera.h"
#include "Renderable.h"
#include "GPUBucket.h"
#include "Framebuffer.h"

namespace BarinkEngine {

	class Renderer {
	public:
		Renderer();
		~Renderer();


		void Render();
		void Render(Framebuffer& framebuffer);

		void Submit(Renderable* model);

	private:
		std::vector<GPU_Bucket*> models;

	};
}
